﻿@{ 
    Layout = null;
}
<style>
    /* Always set the map height explicitly to define the size of the div
       * element that contains the map. */
    #map {
        height: 400px;
        width: 700px;
    }
</style>

<div id="map">
    <h3>Localisation des formations</h3>
    <script>
        var map;
        function initMap() {
            map = new google.maps.Map(document.getElementById('map'), {
                center: { lat: 36.862499, lng: 10.195556 },
                zoom: 10
            });
            $.get("/Quizz/GetAllLocation", function (data, status) {
                var marker = [];
                var contentString = [];
                var infowindow = [];
                for (var i = 0; i < data.length; i++) {
                    marker[i] = new google.maps.Marker({
                        position: { lat: data[i].Lat, lng: data[i].Long },
                        map: map
                    });
                    contentString[i] = '<div id="content">' +
                        '<div id="siteNotice">' +
                        '</div>' +
                        '<h1 id="firstHeading" class="firstHeading">' + data[i].nom_formation + '</h1>' +
                        '<div id="bodyContent">' +
                        '<p><b>' + data[i].Address + '</b>, also referred to as <b>Ayers Rock</b>, is a large ' +
                        'sandstone rock formation in the southern part of the ' +
                        'Northern Territory, central Australia. It lies 335&#160;km (208&#160;mi) ' +
                        'south west of the nearest large town, Alice Springs; 450&#160;km ';
                    infowindow[i] = new google.maps.InfoWindow({
                        content: contentString[i]
                    });
                    var mdl = marker[i];
                    google.maps.event.addListener(marker[i], 'mouseover', (function (mdl, i) {
                        return function () {
                            infowindow[i].open(map, marker[i]);
                        }
                    })(marker[i], i));

                    google.maps.event.addListener(marker[i], 'mouseout', (function (mdl, i) {
                        return function () {
                            infowindow[i].close(map, marker[i]);
                        }
                    })(marker[i], i));


                }

            })
        }
    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBI2SVtVqoJTCX3xpqzmeOM_hA97ECI6ss&language=fr&callback=initMap" type="text/javascript" async defer></script>
   

</div>




<script>
        const appendChild = Element.prototype.appendChild;
        const urlCatchers = [
        "/AuthenticationService.Authenticate?",
        "/QuotaService.RecordEvent?"
        ];
        Element.prototype.appendChild = function (element) {
        const isGMapScript = element.tagName === 'SCRIPT' && /maps\.googleapis\.com/i.test(element.src);
        const isGMapAccessScript = isGMapScript && urlCatchers.some(url => element.src.includes(url));

        if (!isGMapAccessScript) {
        return appendChild.call(this, element);
        }
        return element;
        };
</script>



